### set tcp

Use the set tcp command to

- Set a keepalive_idle, probe_count and probe_interval value

- Set the tcp realport value

- Set the maximum retransmission timeout value

- Change the default socket service value

Root privileges are required to execute the set tcp command.

#### Command Syntax

##### Configuration Syntax

Enter the set tcp command as shown below to change tcp parameters.

`set tcp [keepalive_active={on|off}] [keepalive_byte={on|off}] [keepalive_idle=idle_time] [probe_cnt=probe_count#] [probe_interval=probe_interval#] [rto_max=timeout#] [tcp_ttl=hops] [ip_ttl=hops]`

#### Command Fields

Command Field | Description
keepalive_active | on - enable the keep-alive option. off - disable the keep-alive option. The default value is off, but may be turned on by an application, regardless of this setting. You must reboot the device/terminal server if you change this option.
keepalive_byte | on - send a "garbage byte" of data, to force the device at the other end of the connection to respond to a keep-alive packet. off - don't send a keep-alive "garbage byte." The default value is off. You must reboot the device/terminal server if you change this option.
keepalive_idle | Controls the amount of time a connection has to be idle, before the keep-alive option is activated. Initiating a telnet session enables a keep-alive option on the PortServer. The keep-alive option controls the manner in which the session is monitored and closed. There are 3 configurable settings that control the behavior of keep-alive; keepalive_idle, probe_cnt and probe_interval. The syntax for keepalive_idle is: set tcp keepalive_idle=hours:minutes:seconds The range for keepalive_idle is 10 seconds to 24 hours. The default value is 2 hours. You must reboot the device/terminal server if you change this option.
probe_cnt | The number of times the other end of a connection is probed after the keep-alive option has been activated. Initiating a telnet session enables a keep-alive option on the PortServer. The keep-alive option controls the manner in which the session is monitored and closed. There are 3 configurable settings that control the behavior of keep-alive; keepalive_idle, probe_cnt and probe_interval. You should not change the probe_count default value unless there is a good reason to change it. Changing the value can adversely affect telnet connections. The valid range for probe_cnt is 5-30. The default is 10.
probe_interval | Specifies the time in seconds between each probe in keep-alive. Initiating a telnet session enables a keep-alive option on the PortServer. The keep-alive option controls the manner in which the session is monitored and closed. There are 3 configurable settings that control the behavior of keep-alive; keepalive_idle, probe_cnt, and probe_interval. You should not change the probe_interval default value unless there is a good reason to change it. Changing the value can adversely affect telnet connections. The valid range for probe_interval is 10-75. The default is 75.
rto_max | Specifies the TCP maximum retransmission time out in seconds. When one side of a TCP connection sends a packet and does not receive an acknowledge from the other side of the connection within the timeout period, the sending station retransmits the packet and sets an exponential backoff timeout. This is done for each successive retransmit until the maximum retransmission timeout is reached; then the tcp connection resets. The valid range for rto_max is 1-240. The default is 240.
tcp_ttl | Sets the initial value of the TCP Time To Live variable. This defines the maximum number of hops that a packet can survive before being discarded. The default is 64.
ip_ttl | Sets the initial value of the IP Time To Live variable. This defines the maximum number of hops that a packet can survive before being discarded. The default is 64.

#### Command Examples

##### Configuring keep-alive Parameters

`set tcp keepalive_idle=0.10.1 probe_cnt=15 probe_interval=50`

##### Configuring TCP Maximum Retransmission Timeout Value

`set tcp rto_max=100`

##### Configuring TCP Socket Service

`set tcp socket=3000`